<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="disclaimer">
    <a class="btn btn-sm btn-primary pull-right" ng-class="{disabled: $ctrl.loading}" ng-click="!$ctrl.loading && $ctrl.$init()"><span class="fa fa-refresh"></span></a>
    La prévisualisation contient une sélection aléatoire de <strong>20 POI</strong>.
</div>
<div ng-class="{loading: $ctrl.loading}">
    <div auto-max-height>
        <table class="table table-condensed table-hover m-b-0">
            <thead>
            <tr>
                <th class="p-l-10">POI</th>
                <th>Contexte</th>
                <th>Valeur(s) extraite(s)</th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat-start="data in $ctrl.data">
                <th class="p-l-10" rowspan="{{ data.data.length }}">{{ data.identifier ? data.identifier : "-" }}</th>
                <td>{{ data.data[0].context ? data.data[0].context : "-" }}</td>
                <td>
                    <ng-include src="'contextSnippet'" ng-init="context = data.data[0]"></ng-include>
                </td>
            </tr>
            <tr ng-repeat-end ng-repeat="context in data.data.slice(1)">
                <td>{{ context ? context.context : "-"  }}</td>
                <td>
                    <ng-include src="'contextSnippet'" ng-init="context = context"></ng-include>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

    <div class="blankslate blankslate-spacious" ng-show="$ctrl.data && $ctrl.keys($ctrl.data).length == 0">
        <h3>Aucun résultat :(</h3>
        <p>Vous devriez modifier les paramètres de l'extraction.</p>
    </div>
</div>


<div ng-show="$ctrl.error" class="p-10">
    <div class="alert alert-danger">
        <strong>Erreur :</strong> {{ $ctrl.error }}
    </div>
</div>

<script type='text/ng-template' id="contextSnippet">
    <div class="snippet" ng-repeat="value in context.values track by $index">
        <samp ng-if="$ctrl.selector == 'value'">{{ value }}</samp>
        <div ng-if="$ctrl.selector == 'element'" ui-codemirror="$ctrl.codemirrorOpts" ng-model="value"></div>
    </div>
</script>
